Subject: Re: [PATCH] mac8390: change an error return code and some cleanup, take 4

From: Finn Thain <[email-masked]>
Date: Tue, 1 Jun 2010 01:19:06 +1000 (EST)

On Mon, 31 May 2010, David Miller wrote:

> From: Joe Perches <[email-masked]>
> Date: Mon, 31 May 2010 08:08:13 -0700
> 
> > There are many uses of KERN_DEBUG that are reasonable to have always 
> > enabled.
> 
> Doubtful.
> 
> pr_debug() makes a ton of sense as currently implemented. It's for 
> messages that we want both compile time and run-time control over.
> 
> The case we have here in mac8390 seems like it should stay as pr_info().  
> Because 1) it's already controlled by a run-time knob so controlling it 
> even further is confusing and 2) the message is "informative", it lets 
> the user know a feature cannot be enabled, thus pr_info().

If that is true in general, then ei_debug itself becomes questionable.

In the case of mac8390 at least, I'm certainly leaning toward changing the 
pr_info (conditional on ei_debug) to pr_debug (unconditional).

Finn